﻿body {
}

* {
    font-family: Roboto,"Helvetica Neue",Helvetica,Arial;
    font-style: normal;
}

#layoutSidenav_content {
    background-color: #F5F5F5
}

.card {
    border: none;
    margin-bottom: 20px;
}

.card-header {
    border-bottom: none;
    background-color: #fff !important;
}

.card-footer {
    background-color: white;
    border-top: unset;
}

.table-bordered th,
.table-bordered td {
    
    border-top: 1px solid #dee2e6;
}

.table-bordered td {
    border-bottom: 1px solid #dee2e6;
}

.btn {
    border-radius: 4px !important
}

.btn-insert {
    width: 140px !important;
    height: 40px;
    background-color: #337AB7;

}

.btnDK {
    /*font-family: Roboto;*/
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    display: flex;
    justify-content: space-evenly;
}

.btn-insertHKD {
    background: #FFFFFF;
    border: 1px solid #337AB7;
    box-sizing: border-box;
    border-radius: 4px;
    color: #337AB7;
    margin-right: 20px;
}

.btn-insertHTX {
    background: #337AB7;
    border-radius: 4px;
    color: #FFFFFF;
}

.btn-delete {
    width: 120px !important;
    background-color: #FF0000;
    height: 40px;
}


.btn-search {
    width: 120px !important;
    background-color: #337AB7;
    height: 40px;
   
}

.btn-refesh {
    height: 40px;
    align-items: center;
    margin-left: 5px;
}

.btn-save {
    width: 120px !important;
    border-radius: 4px;
    background: #337AB7;
    height: 40px;
}

.btn-cance {
    width: 120px !important;
    background: #FFFFFF;
    border: 1px solid #337AB7;
    box-sizing: border-box;
    border-radius: 4px;
    color: #337AB7;
    height: 40px;
}

.btn-themgiaidoan {
    margin-top: 10px;
    background: #FFFFFF;
    border: 1px dashed #337AB7;
    box-sizing: border-box;
    border-radius: 4px;
    color: #337AB7;
    width: 100%;
}

.btn-action {
    width: 20px !important;
    height: 20px !important;
    vertical-align: baseline;
}

.btn-action > i{
    margin-top:-17px;
}

.btn-page {
    font-size: 24px;
    line-height: 14px;
    height: 32px;
    width: 32px;
    border: 0.5px solid #BDBDBD
}

.drop-page {
    padding: 0 0.75rem;
}

.display-flex {
    display: flex !important;
}

.align-center {
    align-items: center;
}

.vertical-align-middle {
    vertical-align: middle;
}

.table thead tr,
.table thead td,
.table tbody tr,
.table tbody td,
.table tbody th {
    vertical-align: middle;
}

.switch {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 20px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 18px;
        width: 18px;
        left: 0px;
        bottom: 1px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }



.modal-footer {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0.75rem;
    border-top: 1px solid #dee2e6;
    border-bottom-right-radius: calc(0.3rem - 1px);
    border-bottom-left-radius: calc(0.3rem - 1px);
    justify-content: center;
}
/*.modal-title {
    right: 0;
    left: 0;
    margin: 0;
    position: absolute;
}*/
.modal-header {
    border-bottom: 1px solid rgba(189, 189, 189, 0.2) !important;
    text-align: center !important;
    height: 67px !important;
    display: flex;
    justify-content: space-around;
    color: #337AB7;
}


.nav-tabs .nav-link {
    border: none;
    border-top-left-radius: unset;
    border-top-right-radius: unset;
    color: rgba(0, 0, 0, 0.3);
}

.nav-tabs .nav-item {
    margin-bottom: unset;
}

.nav-tabs {
    border-bottom: none;
}

.nav-item {
    width: 20%;
    text-align: center;
    padding: 0px !important;
    margin: 0px !important;
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    color: #337AB7;
    background-color: #fff;
    border-bottom: 2px solid #337AB7;
}

.nav {
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

.sb-sidenav .sb-sidenav-menu {
    flex-grow: 1;
    margin-top: 27px !important;
}

.nav-link {
    height: 56px;

}


@media (max-width: 768px) {
    #layoutSidenav_nav {
        margin-left: -256px;
    }

        #layoutSidenav_nav.active {
            margin-left: 0;
        }
}

@media (min-width: 992px) {
    #layoutSidenav #layoutSidenav_nav {
        transform: translateX(0);
    }

    #sidebarToggle2 {
        display: none;
    }
}

/*#layoutSidenav #layoutSidenav_content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-width: 0;
    flex-grow: 1;
    min-height: calc(100vh - 56px);
    margin-left: -256px !important;
}*/
.icon-pass {
    float: right;
    margin-right: 6px;
    margin-top: -26px;
    position: relative;
    z-index: 2;
}

.btn-import {
    width: 108px;
    height: 40px;
    right: 0px;
    top: 28px;
    background: #5867dd;
    border-radius: 0px 4px 4px 0px !important;
    /*  left: 20px;
        right: 20px;*/
    top: calc(50% - 24px/2);
    /*font-family: Roboto;*/
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    display: flex;
    align-items: center;
    text-align: center;
    color: #FFFFFF;
}

.btn-file {
    position: relative;
    overflow: hidden;
}

    .btn-file input[type=file] {
        position: absolute;
        top: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        font-size: 100px;
        text-align: right;
        filter: alpha(opacity=0);
        opacity: 0;
        outline: none;
        background: white;
        cursor: inherit;
        display: block;
    }


.hidden {
    display: none;
}

.showDisplay {
    display: block;
}
.text-red{
    color:red
}

.m-dropdown.m-dropdown--align-center .m-dropdown__wrapper {
    left: -100% !important;
}
.m-dropdown.m-dropdown--arrow .m-dropdown__arrow, .m-dropdown.m-dropdown--arrow.m-dropdown--up .m-dropdown__arrow {
    margin-left: 70px !important;
}


.spacing-10 {
    border-spacing: 10px 0;
}
.spacing-box-dashboard{
    margin-top: 5px;
}

/*.chart-container {
    position: relative;
    margin: auto;
    height: 28rem;
    width: 40vw;
}

.chart-container-pie {
    position: relative;
    margin: auto;
    height: 28rem;
    width: 35rem;
}*/
/*.m-topbar .m-topbar__nav.m-nav > .m-nav__item > .m-nav__link .m-nav__link-icon > i:before {
    background-color: blue !important;
    background: transparent !important;
}*/
/* Máy để bàn */
.m-stack m-stack--ver m-stack--desktop .table{
    height: 50px !important;
}
.m-stack m-stack--ver m-stack--desktop table td{
    height: 50px !important;
}
@media only screen (min-width: 1423px) {
    .m-topbar .m-topbar__nav.m-nav > .m-nav__item {
        padding: 0 !important;
    }
    .m-nav.m-nav--inline > .m-nav__item{
        padding: 0 !important;
    }

}
@media only screen and (min-width: 1025px) and (max-width: 1423px) {
    html {
        font-size: 12px !important;
    }
    .spacing-10 {
        border-spacing: 10px 0;
    }
}

/* Ipad Pro */
@media only screen and (min-width: 769px) and (max-width: 1024px) {
    .spacing-10 {
    }
}

/* Ipad */

@media only screen and (min-width: 375px) and (max-width: 768px) {
    .spacing-10 {
    }
}

/* Iphone 6/7/8 Plus */

@media only screen and (min-width: 375px) and (max-width: 414px) {
    .spacing-10 {
    }
}

/* Iphone 6/7/8/X */

@media only screen and (max-width: 375px) {
    .spacing-10 {
    }
}